org.deidentifier.arx.gui.view.impl.common.table

## Class LayerRowFillLayout

- java.lang.Object
- - org.eclipse.nebula.widgets.nattable.layer.AbstractLayer
  - - org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform
    - - org.deidentifier.arx.gui.view.impl.common.table.CTLayer
      - - org.deidentifier.arx.gui.view.impl.common.table.LayerRowFillLayout

All Implemented Interfaces:
  CTComponent, org.eclipse.nebula.widgets.nattable.layer.ILayer, org.eclipse.nebula.widgets.nattable.layer.ILayerListener, org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer, org.eclipse.nebula.widgets.nattable.persistence.IPersistable

    public class LayerRowFillLayout
    extends CTLayer
    implements org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer

Adds additional rows at the end that fill up the available height.

Author:
  Fabian Prasser

### Field Summary

### Fields inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

`DOT, VALUE_SEPARATOR`

### Constructor Summary

Constructors
Constructor and Description
`LayerRowFillLayout(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingDataLayer, CTConfiguration config, CTContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.nebula.widgets.nattable.layer.cell.ILayerCell` `getCellByPosition(int columnPosition, int rowPosition)`
`int` `getColumnPositionByIndex(int columnIndex)`
`org.eclipse.nebula.widgets.nattable.layer.LabelStack` `getConfigLabelsByPosition(int columnPosition, int rowPosition)`
`java.lang.Object` `getDataValueByPosition(int columnPosition, int rowPosition)` NOTE: Since this is a `IUniqueIndexLayer` sitting close to the `DataLayer`, columnPosition == columnIndex.
`int` `getHeight()`
`int` `getPreferredHeight()`
`int` `getPreferredRowCount()`
`int` `getRowCount()`
`int` `getRowHeightByPosition(int rowPosition)`
`int` `getRowIndexByPosition(int rowPosition)`
`int` `getRowPositionByIndex(int rowIndex)`
`int` `getRowPositionByY(int y)`

### Methods inherited from class org.deidentifier.arx.gui.view.impl.common.table.CTLayer

`getConfig, getContext`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform

`configure, dispose, doCommand, getCellPainter, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnWidthByPosition, getDisplayModeByPosition, getLayerPainter, getPreferredColumnCount, getPreferredWidth, getRegionLabelsByXY, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getWidth, isColumnPositionResizable, isRowPositionResizable, loadState, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, saveState, setClientAreaProvider, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions`

### Methods inherited from class org.eclipse.nebula.widgets.nattable.layer.AbstractLayer

`addConfiguration, addLayerListener, clearConfiguration, fireLayerEvent, getBoundsByPosition, getClientAreaProvider, getConfigLabelAccumulator, getRegionName, handleLayerEvent, hasLayerListener, registerCommandHandler, registerEventHandler, registerPersistable, removeLayerListener, setConfigLabelAccumulator, setLayerPainter, setRegionName, toString, unregisterCommandHandler, unregisterEventHandler, unregisterPersistable`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.nebula.widgets.nattable.layer.ILayer

`addLayerListener, configure, dispose, doCommand, fireLayerEvent, getBoundsByPosition, getCellPainter, getClientAreaProvider, getColumnCount, getColumnIndexByPosition, getColumnPositionByX, getColumnWidthByPosition, getDisplayModeByPosition, getLayerPainter, getPreferredColumnCount, getPreferredWidth, getRegionLabelsByXY, getStartXOfColumnPosition, getStartYOfRowPosition, getUnderlyingLayerByPosition, getUnderlyingLayersByColumnPosition, getUnderlyingLayersByRowPosition, getWidth, hasLayerListener, isColumnPositionResizable, isRowPositionResizable, localToUnderlyingColumnPosition, localToUnderlyingRowPosition, registerCommandHandler, registerPersistable, removeLayerListener, setClientAreaProvider, underlyingToLocalColumnPosition, underlyingToLocalColumnPositions, underlyingToLocalRowPosition, underlyingToLocalRowPositions, unregisterCommandHandler, unregisterPersistable`

### Methods inherited from interface org.eclipse.nebula.widgets.nattable.layer.ILayerListener

`handleLayerEvent`

### Methods inherited from interface org.eclipse.nebula.widgets.nattable.persistence.IPersistable

`loadState, saveState`

### Constructor Detail

#### LayerRowFillLayout

    public LayerRowFillLayout(org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer underlyingDataLayer,
                              CTConfiguration config,
                              CTContext context)

Parameters:
  `underlyingDataLayer` -
  `config` -
  `context` -

### Method Detail

#### getCellByPosition

    public org.eclipse.nebula.widgets.nattable.layer.cell.ILayerCell getCellByPosition(int columnPosition,
                                                                                       int rowPosition)

Specified by:
  `getCellByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getCellByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getColumnPositionByIndex

    public int getColumnPositionByIndex(int columnIndex)

Specified by:
  `getColumnPositionByIndex` in interface `org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer`

#### getConfigLabelsByPosition

    public org.eclipse.nebula.widgets.nattable.layer.LabelStack getConfigLabelsByPosition(int columnPosition,
                                                                                          int rowPosition)

Specified by:
  `getConfigLabelsByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getConfigLabelsByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getDataValueByPosition

    public java.lang.Object getDataValueByPosition(int columnPosition,
                                                   int rowPosition)

NOTE: Since this is a `IUniqueIndexLayer` sitting close to the `DataLayer`, columnPosition == columnIndex.

Specified by:
  `getDataValueByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getDataValueByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`
Parameters:
  `columnPosition` -
  `rowPosition` -
Returns:

#### getHeight

    public int getHeight()

Specified by:
  `getHeight` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getHeight` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getPreferredHeight

    public int getPreferredHeight()

Specified by:
  `getPreferredHeight` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getPreferredHeight` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getPreferredRowCount

    public int getPreferredRowCount()

Specified by:
  `getPreferredRowCount` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getPreferredRowCount` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getRowCount

    public int getRowCount()

Specified by:
  `getRowCount` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getRowCount` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getRowHeightByPosition

    public int getRowHeightByPosition(int rowPosition)

Specified by:
  `getRowHeightByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getRowHeightByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getRowIndexByPosition

    public int getRowIndexByPosition(int rowPosition)

Specified by:
  `getRowIndexByPosition` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getRowIndexByPosition` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`

#### getRowPositionByIndex

    public int getRowPositionByIndex(int rowIndex)

Specified by:
  `getRowPositionByIndex` in interface `org.eclipse.nebula.widgets.nattable.layer.IUniqueIndexLayer`

#### getRowPositionByY

    public int getRowPositionByY(int y)

Specified by:
  `getRowPositionByY` in interface `org.eclipse.nebula.widgets.nattable.layer.ILayer`
Overrides:
  `getRowPositionByY` in class `org.eclipse.nebula.widgets.nattable.layer.AbstractLayerTransform`